Deep Security Manager REST API

Path: / rest / monitoring / usages / hosts / protection

List host protection information.


Method Summary
ResourceDescription
GET /rest/monitoring/usages/hosts/protection?tenantName=…&tID=…&from=…&to=…&sID=…List host protection information.

Method Detail
HTTP Example:
GET /rest/monitoring/usages/hosts/protection?tenantName=…&tID=…&from=…&to=…&sID=…

API Example:

IMonitoringAPI.listHostProtection({'tenantName': /* tenantName the name of the tenant to retrieve the host protection information for. */,
  'tID': /* tID the ID of the tenant to retrieve the host protection information for. */,
  'from': /* from The date from which to gather the usage. */,
  'to': /* to The date up to which to gather the usage. */,
  'sID': /* sID the session identifier. */});

List host protection information.

Output:
TenantHostProtectionListing - The host usage statistics for all tenants
Query parameters:
tenantName - the name of the tenant to retrieve the host protection information for.
tID - the ID of the tenant to retrieve the host protection information for. If neither tenantName nor tID are specified, host protection information for all tenants is retrieved. If both are specified, tID is used and tenantName is ignored.
from - The date from which to gather the usage. If not set, then a time of one hour ago is used.
to - The date up to which to gather the usage. If not set, the current server time is used.
sID - the session identifier. This must belong to an administrator from the primary tenant.
Produces:
application/xml
application/json

Copyright © 2015 Trend Micro Inc. All Rights Reserved.